{% load static %}

<script type="text/x-template" id="search-car">
  <div class="report-group">
    <div class="report-group__header">
      <h3 class="report-group__title">Поиск автомобиля</h3>
    </div>
    <div class="report-group__body">
      <div class="report-car-attachment">
        <div class="report-car-attachment__field">
          <div class="car-form__item car-form__item_vin">
            <div class="control control_default control_m">
              <label class="label label_default label_s">поиск ведется по VIN и названию</label>
              <input v-model="querystring" type="text" class="vin_search">
            </div>
          </div>
        </div>
        <div  class="report-car-attachment__results">
          <div v-for="car in objects" class="car car_tile" :class="{'car_active': selected.indexOf(car) >= 0 }">
              <a class="car__thumb" {% if perms.auto.view_auto %} :href="`/auto/detail-auto/${car.id}`" {% endif %}>

                {{car.image}}

                <img v-if="car.image" :src="car.image"/>
              </a>
            <div class="car__body">
              <h5 class="car__title">
                <a class="link link_title" {% if perms.auto.view_auto %} :href="`/auto/detail-auto/${car.id}`" {% endif %}>${ car.mark_auto ? car.mark_auto.name : '' } ${ car.model_auto ? car.model_auto.name: ''} ${ car.generation ? car.generation.name : '' }</a>
              </h5>
              <div class="car__vin">${ car.vin }</div>
              <div class="car__status">
                <div class="status status_xs status_progress">планируется осмотр</div>
              </div>
              <div class="car__specs car-specs">
                <div class="car-specs__item">${ car.year_auto && car.year_auto.year != 'Не важно' ? car.year_auto.year + ' г.' : '-'} / ${ car.first_report_mileage ? car.first_report_mileage + ' км' : car.mileage ? car.mileage + ' км' : '-'}</div>
                <div class="car-specs__item">${ car.engine_type != 'Не важно' ? car.engine_type : '-'} / ${ car.engine_capacity != 'Не важно' ? car.engine_capacity : '-'} / ${ car.horsepower ? car.horsepower + ' л.с.' : '-'}</div>
                <div class="car-specs__item">${ car.transmission_type != 'Не важно' ? car.transmission_type : '-'} / ${ car.drive_type != 'Не важно' ? car.drive_type : '-'}</div>
              </div>
              <h5 class="car__price">${ car.cost ? car.cost + ' ₽' : ''}</h5>
              <div class="car__controls">
                <div class="car__btn-chose btn btn_default btn_s" @click="toggle(car)">
                  <div class="btn__title">Выбрать</div>
                </div>
              </div>
              <div v-if="create_report" class="car__controls">
                <div class="car__btn-chose btn btn_default btn_s" @click="addReport(car.id)">
                  <div class="btn__title">Создать отчет</div>
                </div>
              </div>
            </div>
          </div>
          <div v-if="notFound" class="not_find">
            <span>Автомобиль не найден</span>
          </div>
          <div v-if="objects.length == 0" >
            <h3 class="search-subtitle">Добавление нового автомобиля</h3>
            <div class="report-car-attachment__msg msg msg_warning msg_l ta_center">
              <div class="btn btn_s btn_default btn_inline" @click="openAutoForm()">
                <div class="btn__title">Добавить автомобиль</div>
              </div>
            </div>
          </div>
        </div>
        <div v-if="querystring && processing" class="report-car-attachment__results">
          <div class="ta_center">
            <img src="{% static 'preloader.gif' %}"></img>
          </div>
        </div>
      </div>
    </div>
  </div>
</script>
